package dev.shadowsoffire.apotheosis.ench.table;

package .tmp;

import dev.shadowsoffire.apotheosis.ench.table.EnchantingInfoScreen;
import dev.shadowsoffire.apotheosis.ench.table.RealEnchantmentHelper;
import net.minecraft.util.random.WeightedEntry;
import net.minecraft.world.item.enchantment.Enchantment;

public class EnchantmentDataWrapper extends WeightedEntry.IntrusiveBase {
  protected final RealEnchantmentHelper.ArcanaEnchantmentData data;
  
  protected final boolean isBlacklisted;
  
  public EnchantmentDataWrapper(RealEnchantmentHelper.ArcanaEnchantmentData data, boolean isBlacklisted) {
    super(isBlacklisted ? 0 : data.m_142631_().m_146281_());
    this.data = data;
    this.isBlacklisted = isBlacklisted;
  }
  
  public Enchantment getEnch() {
    return this.data.data.f_44947_;
  }
  
  public int getLevel() {
    return this.data.data.f_44948_;
  }
}
